(function () {
	tinymce.PluginManager.add('vitalpbx', function(editor, url) {
		editor.ui.registry.addMenuButton('extensions', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Application Name',
						onAction: function () {
							editor.insertContent('${APP_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Extension Number',
						onAction: function () {
							editor.insertContent('${EXTENSION}');
						}
					},
					{
						type: 'menuitem',
						text: 'Extension Name',
						onAction: function () {
							editor.insertContent('${EXTENSION_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Name',
						onAction: function () {
							editor.insertContent('${TENANT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Device\'s User',
						onAction: function () {
							editor.insertContent('${DEVICE}');
						}
					},
					{
						type: 'menuitem',
						text: 'Device\'s Secret/Password',
						onAction: function () {
							editor.insertContent('${SECRET}');
						}
					},
					{
						type: 'menuitem',
						text: 'Server Domain/IP',
						onAction: function () {
							editor.insertContent('${SRVRDOMAIN}');
						}
					},
					{
						type: 'menuitem',
						text: 'Local IP',
						onAction: function () {
							editor.insertContent('${LOCALIP}');
						}
					},
					{
						type: 'menuitem',
						text: 'Public IP',
						onAction: function () {
							editor.insertContent('${PUBLICIP}');
						}
					},
					{
						type: 'menuitem',
						text: 'Bind Port',
						onAction: function () {
							editor.insertContent('${BINDPORT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Portal User',
						onAction: function () {
							editor.insertContent('${PORTALUSER}');
						}
					},
					{
						type: 'menuitem',
						text: 'Portal Password',
						onAction: function () {
							editor.insertContent('${PORTALPASSWORD}');
						}
					},
					{
						type: 'menuitem',
						text: 'Voicemail Access Code',
						onAction: function () {
							editor.insertContent('${VMCODE}');
						}
					},
					{
						type: 'menuitem',
						text: 'Voicemail Password',
						onAction: function () {
							editor.insertContent('${VMPWD}');
						}
					},
					{
						type: 'menuitem',
						text: 'Features List',
						onAction: function () {
							editor.insertContent('${FEATURES}');
						}
					},
					{
						type: 'menuitem',
						text: 'Transport',
						onAction: function () {
							editor.insertContent('${TRANSPORT}');
						}
					},
					{
						type: 'menuitem',
						text: 'QR Code',
						onAction: function () {
							editor.insertContent('${QR_CODE}');
						}
					}
				];
				callback(items);
			}
		});

		editor.ui.registry.addMenuButton('emergency', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Application Name',
						onAction: function () {
							editor.insertContent('${APP_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Name',
						onAction: function () {
							editor.insertContent('${TENANT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Extension/Device Number',
						onAction: function () {
							editor.insertContent('${EXTENSION}');
						}
					},
					{
						type: 'menuitem',
						text: 'Emergency Number',
						onAction: function () {
							editor.insertContent('${EMERGENCY_NUMBER}');
						}
					},
					{
						type: 'menuitem',
						text: 'Location Name',
						onAction: function () {
							editor.insertContent('${EMERGENCY_LOCATION_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Dispatchable Location',
						onAction: function () {
							editor.insertContent('${DISPATCHABLE_LOCATION}');
						}
					}
				];
				callback(items);
			}
		});

		editor.ui.registry.addMenuButton('tenants', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Application Name',
						onAction: function () {
							editor.insertContent('${APP_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Name',
						onAction: function () {
							editor.insertContent('${TENANT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Full Name',
						onAction: function () {
							editor.insertContent('${TENANT_ADMIN_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Username',
						onAction: function () {
							editor.insertContent('${USERNAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Password',
						onAction: function () {
							editor.insertContent('${PASSWORD}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Prefix',
						onAction: function () {
							editor.insertContent('${TENANT_PREFIX}');
						}
					},
					{
						type: 'menuitem',
						text: 'Server Domain/IP',
						onAction: function () {
							editor.insertContent('${SRVRDOMAIN}');
						}
					},
					{
						type: 'menuitem',
						text: 'Local IP',
						onAction: function () {
							editor.insertContent('${LOCALIP}');
						}
					},
					{
						type: 'menuitem',
						text: 'Public IP',
						onAction: function () {
							editor.insertContent('${PUBLICIP}');
						}
					}
				];
				callback(items);
			}
		});

		editor.ui.registry.addMenuButton('phonebooks', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Application Name',
						onAction: function () {
							editor.insertContent('${APP_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Name',
						onAction: function () {
							editor.insertContent('${TENANT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Description',
						onAction: function () {
							editor.insertContent('${PHONEBOOK_DESC}');
						}
					},
					{
						type: 'menuitem',
						text: 'QR Code',
						onAction: function () {
							editor.insertContent('${QRCODE}');
						}
					}
				];
				callback(items);
			}
		});

		editor.ui.registry.addMenuButton('received_fax', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Application Name',
						onAction: function () {
							editor.insertContent('${APP_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Name',
						onAction: function () {
							editor.insertContent('${TENANT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Sender Name',
						onAction: function () {
							editor.insertContent('${SENDER_CID_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Sender Number',
						onAction: function () {
							editor.insertContent('${SENDER_CID_NUMBER}');
						}
					},
					{
						type: 'menuitem',
						text: 'Used DID',
						onAction: function () {
							editor.insertContent('${DID}');
						}
					},
					{
						type: 'menuitem',
						text: 'Fax Pages',
						onAction: function () {
							editor.insertContent('${FAXPAGES}');
						}
					}
				];
				callback(items);
			}
		});

		editor.ui.registry.addMenuButton('fax_sending_failed', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Application Name',
						onAction: function () {
							editor.insertContent('${APP_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Name',
						onAction: function () {
							editor.insertContent('${TENANT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Recipient Number',
						onAction: function () {
							editor.insertContent('${RECIPIENT_NUMBER}');
						}
					},
					{
						type: 'menuitem',
						text: 'Error Message',
						onAction: function () {
							editor.insertContent('${ERROR_MSG}');
						}
					}
				];
				callback(items);
			}
		});

		editor.ui.registry.addMenuButton('fax_sending_success', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Application Name',
						onAction: function () {
							editor.insertContent('${APP_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Name',
						onAction: function () {
							editor.insertContent('${TENANT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Recipient Number',
						onAction: function () {
							editor.insertContent('${RECIPIENT_NUMBER}');
						}
					}
				];
				callback(items);
			}
		});

		editor.ui.registry.addMenuButton('mobile_account', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Application Name',
						onAction: function () {
							editor.insertContent('${APP_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Name',
						onAction: function () {
							editor.insertContent('${TENANT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Extension Number',
						onAction: function () {
							editor.insertContent('${EXTENSION}');
						}
					},
					{
						type: 'menuitem',
						text: 'Extension Name',
						onAction: function () {
							editor.insertContent('${EXTENSION_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Device Description',
						onAction: function () {
							editor.insertContent('${DEVICE_DESC}');
						}
					},
					{
						type: 'menuitem',
						text: 'QR Code',
						onAction: function () {
							editor.insertContent('${QR_CODE}');
						}
					},
					{
						type: 'menuitem',
						text: 'Mobile App Link',
						onAction: function () {
							editor.insertContent('${MOBILE_APP_LINK}');
						}
					}
				];
				callback(items);
			}
		});

		editor.ui.registry.addMenuButton('missed_call', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Application Name',
						onAction: function () {
							editor.insertContent('${APP_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Name',
						onAction: function () {
							editor.insertContent('${TENANT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Extension Number',
						onAction: function () {
							editor.insertContent('${EXTENSION}');
						}
					},
					{
						type: 'menuitem',
						text: 'Extension Name',
						onAction: function () {
							editor.insertContent('${EXTENSION_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Caller ID Numer',
						onAction: function () {
							editor.insertContent('${CID_NUMBER}');
						}
					},
					{
						type: 'menuitem',
						text: 'Caller ID Name',
						onAction: function () {
							editor.insertContent('${CID_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Origin',
						onAction: function () {
							editor.insertContent('${ORIGIN}');
						}
					},
					{
						type: 'menuitem',
						text: 'Reason',
						onAction: function () {
							editor.insertContent('${REASON}');
						}
					},
					{
						type: 'menuitem',
						text: 'Date (24-hour Clock)',
						onAction: function () {
							editor.insertContent('${DATE}');
						}
					},
					{
						type: 'menuitem',
						text: 'Date (12-hour Clock)',
						onAction: function () {
							editor.insertContent('${DATE_12F}');
						}
					}
				];
				callback(items);
			}
		});

		editor.ui.registry.addMenuButton('voicemail', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Voicemail Category',
						onAction: function () {
							editor.insertContent('${VM_CATEGORY}');
						}
					},
					{
						type: 'menuitem',
						text: 'Full Name in Voicemail',
						onAction: function () {
							editor.insertContent('${VM_NAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Voicemail Duration',
						onAction: function () {
							editor.insertContent('${VM_DUR}');
						}
					},
					{
						type: 'menuitem',
						text: 'Number of Voicemail Message in Mailbox',
						onAction: function () {
							editor.insertContent('${VM_MSGNUM}');
						}
					},
					{
						type: 'menuitem',
						text: 'Voicemail Caller ID (Person Leaving VM)',
						onAction: function () {
							editor.insertContent('${VM_CALLERID}');
						}
					},
					{
						type: 'menuitem',
						text: 'Voicemail Caller ID Name',
						onAction: function () {
							editor.insertContent('${VM_CIDNAME}');
						}
					},
					{
						type: 'menuitem',
						text: 'Voicemail Caller ID Number',
						onAction: function () {
							editor.insertContent('${VM_CIDNUM}');
						}
					},
					{
						type: 'menuitem',
						text: 'Voicemail Date',
						onAction: function () {
							editor.insertContent('${VM_DATE}');
						}
					},
					{
						type: 'menuitem',
						text: 'Tenant Name',
						onAction: function () {
							editor.insertContent('${TENANT}');
						}
					},
					{
						type: 'menuitem',
						text: 'Voicemail Transcription',
						onAction: function () {
							editor.insertContent('${VM_TRANSCRIPTION}');
						}
					},
					{
						type: 'menuitem',
						text: 'Direct Voicemail Feature Code',
						onAction: function () {
							editor.insertContent('${VM_DIRECT_FC}');
						}
					},
					{
						type: 'menuitem',
						text: 'Remote Voicemail Feature Code',
						onAction: function () {
							editor.insertContent('${VM_REMOTE_FC}');
						}
					}
				];
				callback(items);
			}
		});

		editor.ui.registry.addMenuButton('call_analysis_report', {
			text: 'Variables',
			fetch: function (callback) {
				var items = [
					{
						type: 'menuitem',
						text: 'Call Summary',
						onAction: function () {
							editor.insertContent('${CALL_SUMMARY}');
						}
					},
					{
						type: 'menuitem',
						text: 'Call Transcription',
						onAction: function () {
							editor.insertContent('${TRANSCRIPTION_TIMELINE}');
						}
					},
					{
						type: 'menuitem',
						text: 'Positive Sentiment Percentage',
						onAction: function () {
							editor.insertContent('${POSITIVE}');
						}
					},
					{
						type: 'menuitem',
						text: 'Negative Sentiment Percentage',
						onAction: function () {
							editor.insertContent('${NEGATIVE}');
						}
					},
					{
						type: 'menuitem',
						text: 'Neutral Sentiment Percentage',
						onAction: function () {
							editor.insertContent('${NEUTRAL}');
						}
					},
					{
						type: 'menuitem',
						text: 'Issue Type',
						onAction: function () {
							editor.insertContent('${ISSUE}');
						}
					},
					{
						type: 'menuitem',
						text: 'Call Resolution',
						onAction: function () {
							editor.insertContent('${RESOLUTION}');
						}
					},
					{
						type: 'menuitem',
						text: 'Call Keywords',
						onAction: function () {
							editor.insertContent('${KEYWORDS}');
						}
					},
					{
						type: 'menuitem',
						text: 'Call Topics',
						onAction: function () {
							editor.insertContent('${TOPICS}');
						}
					},
					{
						type: 'menuitem',
						text: 'Improvement Suggetions',
						onAction: function () {
							editor.insertContent('${SUGGESTIONS}');
						}
					}
				];
				callback(items);
			}
		});
	});

	tinymce.PluginManager.requireLangPack('vitalpbx', 'pt_BR');
})();